<inp2:adm_SetPopupSize width="1100" height="700"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:configure_themes" prefix="theme" title_preset="theme_file_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('theme-file','<inp2:theme-file_SaveEvent/>');
						}
					) );

				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('theme-file', 'OnCancelEdit','<inp2:theme-file_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

			 	a_toolbar.AddButton( new ToolBarButton('reset_edit', '<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>', function() {
						reset_form('theme-file', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
					}
			 	) );

			 	a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
						go_to_id('theme-file', '<inp2:theme-file_PrevId/>');
					}
				));
	
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
						go_to_id('theme-file', '<inp2:theme-file_NextId/>');
					}
				));
	
				a_toolbar.Render();
				
				<inp2:m_if check="theme-file_IsSingle">
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="theme-file_IsLast">
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="theme-file_IsFirst">
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:theme-file_SaveWarning name="grid_save_warning"/>
<inp2:theme-file_ErrorWarning name="form_error_warning"/>

<inp2:m_RenderElement name="inp_edit_hidden" prefix="theme-file" field="ThemeId"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" prefix="theme-file" fields="FileId,FileName,FilePath,Description,FileContents" title="la_section_General"/>
			<inp2:m_RenderElement name="inp_id_label" prefix="theme-file" field="FileId" title="la_fld_Id"/>
			<inp2:m_RenderElement name="inp_label" prefix="theme-file" field="FileName" title="la_fld_FileName"/>
			<inp2:m_RenderElement name="inp_label" prefix="theme-file" field="FilePath" title="la_fld_FilePath"/>
			<inp2:m_RenderElement name="inp_label" prefix="theme-file" field="Description" title="la_fld_Description"/>
			<inp2:m_RenderElement name="inp_edit_codepress" prefix="theme-file" field="FileContents" title="la_fld_FileContents"/>
			<inp2:m_RenderElement name="inp_edit_filler" control_options="{height: 8}"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>